| Code Coverage
| Classes and Traits | Functions and Methods | Lines
Total | 0.00% covered (danger) | 0.00% | 0 / 1 | 0.00% covered (danger) | 0.00% | 0 / 7 | CRAP | 0.00% covered (danger) | 0.00% | 0 / 7
LogisticPolicy | 0.00% covered (danger) | 0.00% | 0 / 1 | 0.00% covered (danger) | 0.00% | 0 / 7 | 56.00 | 0.00% covered (danger) | 0.00% | 0 / 7
viewAny | 0.00% covered (danger) | 0.00% | 0 / 1 | 2.00 | 0.00% covered (danger) | 0.00% | 0 / 1
view | 0.00% covered (danger) | 0.00% | 0 / 1 | 2.00 | 0.00% covered (danger) | 0.00% | 0 / 1
create | 0.00% covered (danger) | 0.00% | 0 / 1 | 2.00 | 0.00% covered (danger) | 0.00% | 0 / 1
update | 0.00% covered (danger) | 0.00% | 0 / 1 | 2.00 | 0.00% covered (danger) | 0.00% | 0 / 1
delete | 0.00% covered (danger) | 0.00% | 0 / 1 | 2.00 | 0.00% covered (danger) | 0.00% | 0 / 1
restore | 0.00% covered (danger) | 0.00% | 0 / 1 | 2.00 | 0.00% covered (danger) | 0.00% | 0 / 1
forceDelete | 0.00% covered (danger) | 0.00% | 0 / 1 | 2.00 | 0.00% covered (danger) | 0.00% | 0 / 1

1 | <?php
2 |
3 | namespace App\Policies;
4 |
5 | use App\User;
6 | use App\Logistic;
7 | use Illuminate\Auth\Access\HandlesAuthorization;
8 |
9 | class LogisticPolicy
10 | {
11 | use HandlesAuthorization;
12 |
13 | /**
14 | * Determine whether the user can view any logistics.
15 | *
16 | * @param \App\User $user
17 | * @return mixed
18 | */
19 | public function viewAny(User $user)
20 | {
21 | }
22 |
23 | /**
24 | * Determine whether the user can view the logistic.
25 | *
26 | * @param \App\User $user
27 | * @param \App\Logistic $logistic
28 | * @return mixed
29 | */
30 | public function view(User $user, Logistic $logistic)
31 | {
32 | }
33 |
34 | /**
35 | * Determine whether the user can create logistics.
36 | *
37 | * @param \App\User $user
38 | * @return mixed
39 | */
40 | public function create(User $user)
41 | {
42 | }
43 |
44 | /**
45 | * Determine whether the user can update the logistic.
46 | *
47 | * @param \App\User $user
48 | * @param \App\Logistic $logistic
49 | * @return mixed
50 | */
51 | public function update(User $user, Logistic $logistic)
52 | {
53 | //
54 | }
55 |
56 | /**
57 | * Determine whether the user can delete the logistic.
58 | *
59 | * @param \App\User $user
60 | * @param \App\Logistic $logistic
61 | * @return mixed
62 | */
63 | public function delete(User $user, Logistic $logistic)
64 | {
65 | //
66 | }
67 |
68 | /**
69 | * Determine whether the user can restore the logistic.
70 | *
71 | * @param \App\User $user
72 | * @param \App\Logistic $logistic
73 | * @return mixed
74 | */
75 | public function restore(User $user, Logistic $logistic)
76 | {
77 | //
78 | }
79 |
80 | /**
81 | * Determine whether the user can permanently delete the logistic.
82 | *
83 | * @param \App\User $user
84 | * @param \App\Logistic $logistic
85 | * @return mixed
86 | */
87 | public function forceDelete(User $user, Logistic $logistic)
88 | {
89 | //
90 | }
91 | }